package model;

import java.util.Collection;


public interface ContactManager {


    Contact loadContact(final Long id);

    Collection<Contact> loadAllContacts();

    void saveContact(final Contact contact);

    void deleteContact(final Long id);

    void updateContact(final Long id,final Contact contact);

    Collection<Contact> findContactByName(final String name);

    Collection<Contact> findContactByPhoneNumber(final String phoneNumber);

}
